type
  SigType = string[6];

const
  OvrSubSignature : SigType = 'OVRSUB';
  MaxEntryPts = 1000;
  CarryFlagMask = $0001;

type
  Long =
    record
      LowWord, HighWord : Word;
    end;

  VectorRec = record
    Int3F : Word;
    CodeOffset : Word;
    Fill : Byte;
  end;

  StaticDispatcher = record
    {00} ReturnInt : Word;
    {02} ReturnOfs : Word;
    {04} FileOfs : LongInt;
    {08} CodeSize : Word;
    {0A} FixupSize : Word;
    {0C} EntryPts : Word;
    {0E} CodeListNext : Word;
    {10} LoadSegment : Word;
    {12} Reprieved : Word;
    {14} LoadListNext : Word;
    {16} EmsPage : Word;
    {18} EmsOffset : Word;
    {1A} UserData : array [0..2] of Word;
    {20} Vectors : array [1..MaxEntryPts] of VectorRec;
  end;

var
  Trailer : record
    OldFileSize : LongInt;
    Sig : SigType;
  end;
